## Apache Zeta Components Manual :: Docs For Class ezcDocumentRstXhtmlTextRole

### Document::ezcDocumentRstXhtmlTextRole

### Interface ezcDocumentRstXhtmlTextRole

Interface for text roles also supporting HTML output

Source for this file: /Document/src/interfaces/rst_xhtml_role.php

Version: | //autogen//

### Method Summary

public void | `toXhtml( $document , $root )` Transform text role to HTML

### Methods

#### toXhtml

void toXhtml( $document , $root )

Transform text role to HTML

Create a XHTML structure at the text roles position in the document.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | DOMDocument |
`$root` | DOMElement |

Documentation generated by phpDocumentor 1.4.3